Subject: Re: bug#61962: 30.0.50; New trouble with symbols with positions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Mar 2023 16:50:36 +0200

> Date: Sun, 12 Mar 2023 20:42:25 +0000
> Cc: Robert Pluim <[email-masked]>, Eli Zaretskii <[email-masked]>,
>   Michael Heerdegen <[email-masked]>, [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> On Sun, Mar 12, 2023 at 18:30:51 +0100, Mattias Engdegård wrote:
> > As promised earlier, I gave the safe-copy-tree code a good
> > working-through. Testing revealed bugs but the new implementation
> > shouldn't have them. It's internal for now as there seems to be no need
> > for it elsewhere, which also permitted some gold-plating to be removed.
> > The new code is also quite a bit faster.
> 
> I'm not at all happy with the changes you've made.

I'm not happy at all.

Mattias, this kind of modus operandi is only acceptable if the
original author installed something completely unreasonable or clearly
broken.  In all other cases, please present the proposed changes and
their motivation, and wait for the discussion to converge before
installing.

Please don't do this again.  Bonus points for reverting your changes
and starting the discussion now.